
Foreman - Bug #10915

Delete host doesn't remove host specific overrides

06/24/2015 04:22 AM - Andrew Lau

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Parameters   

Target version: 1.8.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.2

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2532

  

Description

If we set a puppet override specific to that host, when deleting the host it doesn't remove the param from the puppet class override

section.

When going to re-create that same host (with the same hostname) the override parameter is crossed out but not shown in the

editable section.

Related issues:

Has duplicate Foreman - Bug #11685: Editing Puppet class fails due to non-exi... Resolved 09/04/2015

Associated revisions

Revision 674755f4 - 07/14/2015 07:08 AM - Ori Rabin

Fixes #10915 - Deleting a host removes all host specific overrides

Revision d55671a1 - 07/17/2015 01:00 PM - Ori Rabin

Fixes #10915 - Deleting a host removes all host specific overrides

(cherry picked from commit 674755f43684f76e6b23ca499a57153aad3db5e2)

Revision 31d4c6cb - 08/18/2015 01:20 PM - Ori Rabin

Fixes #10915 - Deleting a host removes all host specific overrides

(cherry picked from commit 674755f43684f76e6b23ca499a57153aad3db5e2)

History

#1 - 07/09/2015 09:54 AM - Ori Rabin

- Status changed from New to Assigned

- Assignee set to Ori Rabin

#2 - 07/09/2015 11:12 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2532 added

- Pull request deleted ()

#3 - 07/10/2015 03:38 AM - Dominic Cleal

- translation missing: en.field_release set to 62

#4 - 07/14/2015 08:01 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset 674755f43684f76e6b23ca499a57153aad3db5e2.

#5 - 09/04/2015 04:21 AM - Dominic Cleal

- Has duplicate Bug #11685: Editing Puppet class fails due to non-existing host added
